Remove Travis CI support files and configs

This commit is contained in:
Ben Ramsey
2021-09-22 21:49:30 -05:00
parent 1c50f77b06
commit 8d6c144a37
8 changed files with 0 additions and 188 deletions
-68
View File
@@ -1,68 +0,0 @@
language: php
os: linux
services:
- docker
jobs:
fast_finish: true
include:
- php: 5.4
dist: trusty
- php: 5.5
dist: trusty
- php: 5.6
- php: 7.0
- php: 7.1
- php: 7.1
arch: s390x
- php: 7.2
- php: 7.2
arch: s390x
- php: 7.2
arch: arm64
env: ARCH=arm32
- php: 7.3
- php: 7.3
arch: s390x
- php: 7.3
arch: arm64
env: ARCH=arm32
- php: 7.4
- php: 7.4
arch: s390x
- php: 7.4
arch: arm64
env: ARCH=arm32
- php: nightly
- php: nightly
arch: s390x
allow_failures:
- php: nightly
addons:
apt:
update: true
packages:
- bsdmainutils
- libsodium-dev
- uuid-dev
before_install:
- travis_retry ./resources/scripts/travis-before-install.sh
- ./resources/scripts/cmd-proxy.sh ./resources/scripts/system-info.sh
install:
- travis_retry ./resources/scripts/cmd-proxy.sh composer require --no-update "php-coveralls/php-coveralls:^1 | ^2"
- travis_retry ./resources/scripts/cmd-proxy.sh composer install --no-interaction --prefer-dist --no-progress --no-suggest
before_script:
- mkdir -p build/logs
script:
- ./resources/scripts/cmd-proxy.sh ./vendor/bin/parallel-lint src tests
- ./resources/scripts/cmd-proxy.sh ./vendor/bin/phpcs src tests --standard=psr2 -sp --colors
- travis_wait ./resources/scripts/cmd-proxy.sh ./vendor/bin/phpunit --verbose --coverage-clover build/logs/clover.xml
after_success:
- travis_retry ./resources/scripts/php-coveralls.sh
-25
View File
@@ -1,25 +0,0 @@
ARG PHP_VERSION
ARG ARCH
FROM ${ARCH}/php:${PHP_VERSION}-cli-alpine
RUN apk update \
&& apk add --virtual=builddeps autoconf g++ gcc libc6-compat make re2c \
&& apk add \
git \
gmp-dev \
libsodium-dev \
libzip-dev \
unzip \
util-linux-dev \
&& docker-php-ext-install -j$(nproc) bcmath gmp zip \
&& yes '' | pecl install libsodium-1.0.7 \
&& yes '' | pecl install uuid \
&& yes '' | pecl install xdebug \
&& docker-php-ext-enable libsodium uuid xdebug \
&& apk del builddeps
COPY composer-install.sh /usr/local/bin/composer-install.sh
RUN composer-install.sh \
&& mv composer.phar /usr/local/bin/composer \
&& rm /usr/local/bin/composer-install.sh
-10
View File
@@ -1,10 +0,0 @@
#!/bin/sh
PHP_VERSION=$1
ARCH=$2
docker build \
--tag benramsey/ramsey-uuid:php-${PHP_VERSION}-${ARCH} \
--build-arg PHP_VERSION=${PHP_VERSION} \
--build-arg ARCH=${ARCH} \
.
-17
View File
@@ -1,17 +0,0 @@
#!/bin/sh
EXPECTED_SIGNATURE="$(curl --silent https://composer.github.io/installer.sig)"
php -r "copy('https://getcomposer.org/installer', 'composer-setup.php');"
ACTUAL_SIGNATURE="$(php -r "echo hash_file('sha384', 'composer-setup.php');")"
if [ "$EXPECTED_SIGNATURE" != "$ACTUAL_SIGNATURE" ]
then
>&2 echo 'ERROR: Invalid installer signature'
rm composer-setup.php
exit 1
fi
php composer-setup.php --quiet
RESULT=$?
rm composer-setup.php
exit $RESULT
-25
View File
@@ -1,25 +0,0 @@
#!/bin/sh
#
# This script uses the ARCH environment variable to determine whether to run
# the commands through a 32-bit Docker container, for 32-bit testing. If the
# ARCH is anything other than "arm32," then it simply executes the commands
# on the local system, rather than in a container.
php_version="${TRAVIS_PHP_VERSION:-$(php -r "echo phpversion();")}"
dots_count=$(echo $php_version | awk -F"." '{print NF-1}')
if [ $dots_count -ge 2 ]; then
php_version="${php_version%.*}"
fi
architecture="${ARCH:-${TRAVIS_CPU_ARCH:-$(uname -m)}}"
cmd_proxy=""
if [ "${architecture}" = "arm32" ]; then
image="benramsey/ramsey-uuid:php-${php_version}-arm32v7"
volumes="-v ${PWD}:${PWD}"
cmd_proxy="docker run --rm ${volumes} -w ${PWD} ${image}"
fi
$cmd_proxy "$@"
-9
View File
@@ -1,9 +0,0 @@
#!/bin/sh
set -e
if [ -f vendor/bin/php-coveralls ]; then
php vendor/bin/php-coveralls -v
else
php vendor/bin/coveralls -v
fi
-19
View File
@@ -1,19 +0,0 @@
#!/bin/sh
endianness=$(printf I | hexdump -o | awk '{ print substr($2,6,1); exit}')
endian="Big"
if [ "${endianness}" = "1" ]; then
endian="Little"
fi
echo
echo "SYSTEM INFORMATION:"
echo
echo "$(uname -a)"
echo
echo "CPU mode: $(getconf LONG_BIT)-bit"
echo "Endianness: ${endian}"
echo
php --version
echo
@@ -1,15 +0,0 @@
#!/bin/sh
#
# This script runs as part of the Travis CI before_install phase. If the ARCH
# environment variable is set and has the value "arm32," then we exit early,
# since we will use a pre-built Docker image to run commands instead.
architecture=${ARCH:-${TRAVIS_CPU_ARCH:-$(uname -m)}}
if [ "${architecture}" = "arm32" ]; then
exit
fi
yes '' | pecl install -f libsodium-1.0.7
yes '' | pecl install -f uuid-1.0.4
composer self-update